You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@camel.apache.org by ac...@apache.org on 2023/12/13 10:30:07 UTC

(camel) branch CAMEL-20205-3.x created (now ac8b6fbac6f)

This is an automated email from the ASF dual-hosted git repository.

acosentino pushed a change to branch CAMEL-20205-3.x
in repository https://gitbox.apache.org/repos/asf/camel.git


      at ac8b6fbac6f CAMEL-20205 - Add SBOM to release and release-sbom script to LTS 3.22.x

This branch includes the following new commits:

     new 14fa5843e00 CAMEL-20149 - Release guide: Add instructions to sign and publish SBOM files to dist/release folder (#12328)
     new da58c065f10 Release: Modify the name of SBOMs to be uploaded on dist/release
     new ac8b6fbac6f CAMEL-20205 - Add SBOM to release and release-sbom script to LTS 3.22.x

The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.



(camel) 03/03: CAMEL-20205 - Add SBOM to release and release-sbom script to LTS 3.22.x

Posted by ac...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

acosentino pushed a commit to branch CAMEL-20205-3.x
in repository https://gitbox.apache.org/repos/asf/camel.git

commit ac8b6fbac6fe83d7b5ba6673f54b41d0ea845bf7
Author: Andrea Cosentino <an...@gmail.com>
AuthorDate: Wed Dec 13 11:29:25 2023 +0100

    CAMEL-20205 - Add SBOM to release and release-sbom script to LTS 3.22.x
    
    Signed-off-by: Andrea Cosentino <an...@gmail.com>
---
 pom.xml | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/pom.xml b/pom.xml
index 4c1048106c5..7226076503b 100644
--- a/pom.xml
+++ b/pom.xml
@@ -118,6 +118,7 @@
         <!-- reproduceable builds: https://maven.apache.org/guides/mini/guide-reproducible-builds.html -->
         <project.build.outputTimestamp>1688242060</project.build.outputTimestamp>
 
+        <cyclonedx-maven-plugin-version>2.7.10</cyclonedx-maven-plugin-version>
         <maven-compiler-plugin-version>3.10.1</maven-compiler-plugin-version>
         <maven-javadoc-plugin-version>3.2.0</maven-javadoc-plugin-version>
         <maven-surefire-plugin-version>3.1.2</maven-surefire-plugin-version>
@@ -785,6 +786,23 @@
                             <failIfNoTests>false</failIfNoTests>
                         </configuration>
                     </plugin>
+                    <plugin>
+                        <groupId>org.cyclonedx</groupId>
+                        <artifactId>cyclonedx-maven-plugin</artifactId>
+                        <version>${cyclonedx-maven-plugin-version}</version>
+                        <inherited>false</inherited>
+                        <executions>
+                            <execution>
+                                <phase>package</phase>
+                                <goals>
+                                    <goal>makeAggregateBom</goal>
+                                </goals>
+                            </execution>
+                        </executions>
+                        <configuration>
+                            <outputName>${project.artifactId}-${project.version}-sbom</outputName>
+                        </configuration>
+                    </plugin>
                 </plugins>
             </build>
         </profile>


(camel) 01/03: CAMEL-20149 - Release guide: Add instructions to sign and publish SBOM files to dist/release folder (#12328)

Posted by ac...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

acosentino pushed a commit to branch CAMEL-20205-3.x
in repository https://gitbox.apache.org/repos/asf/camel.git

commit 14fa5843e0025006a43f3ae80e4d9636231cd747
Author: Andrea Cosentino <an...@gmail.com>
AuthorDate: Wed Dec 6 11:49:56 2023 +0100

    CAMEL-20149 - Release guide: Add instructions to sign and publish SBOM files to dist/release folder (#12328)
    
    Signed-off-by: Andrea Cosentino <an...@gmail.com>
---
 .../modules/ROOT/pages/release-guide.adoc          |  5 ++
 etc/scripts/release-sbom.sh                        | 64 ++++++++++++++++++++++
 etc/scripts/sign.sh                                | 35 ++++++++++++
 3 files changed, 104 insertions(+)

diff --git a/docs/user-manual/modules/ROOT/pages/release-guide.adoc b/docs/user-manual/modules/ROOT/pages/release-guide.adoc
index c936bd69a3f..605e9b204ec 100644
--- a/docs/user-manual/modules/ROOT/pages/release-guide.adoc
+++ b/docs/user-manual/modules/ROOT/pages/release-guide.adoc
@@ -365,6 +365,11 @@ This will release the artifacts.
 
   cd ${CAMEL_ROOT_DIR}/etc/scripts
   ./release-distro.sh <Camel version>
+  
+. Copy SBOMs to Apache website:
+
+  cd ${CAMEL_ROOT_DIR}/etc/scripts
+  ./release-sbom.sh <Camel version>
 
 . Remove the old distribution version from the Apache website:
 
diff --git a/etc/scripts/release-sbom.sh b/etc/scripts/release-sbom.sh
new file mode 100755
index 00000000000..dc39b044816
--- /dev/null
+++ b/etc/scripts/release-sbom.sh
@@ -0,0 +1,64 @@
+#!/usr/bin/env bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+VERSION=${1}
+DOWNLOAD=${2:-/tmp/camel-sbom}
+mkdir -p ${DOWNLOAD} 2>/dev/null
+
+# The following component contain schema definitions that must be published
+RUNDIR=$(cd ${0%/*} && echo $PWD)
+DIST_REPO="https://dist.apache.org/repos/dist/release/camel/camel/"
+
+if [ -z "${VERSION}" -o ! -d "${DOWNLOAD}" ]
+then
+ echo "Usage: release-sbom.sh <camel-version> [temp-directory]"
+ exit 1
+fi
+
+echo "################################################################################"
+echo "                  DOWNLOADING SBOMs FROM APACHE REPOSITORY                     "
+echo "################################################################################"
+echo "${DOWNLOAD}/${VERSION}"
+
+wget -e robots=off --wait 3 --no-check-certificate \
+ -r -np "--reject=html,txt" "--follow-tags=" \
+ -P "${DOWNLOAD}/${VERSION}" -nH "--cut-dirs=3" "--level=1" "--ignore-length" \
+ "https://repository.apache.org/content/repositories/releases/org/apache/camel/camel/${VERSION}/camel-${VERSION}-cyclonedx.xml"
+ 
+ wget -e robots=off --wait 3 --no-check-certificate \
+ -r -np "--reject=html,txt" "--follow-tags=" \
+ -P "${DOWNLOAD}/${VERSION}" -nH "--cut-dirs=3" "--level=1" "--ignore-length" \
+ "https://repository.apache.org/content/repositories/releases/org/apache/camel/camel/${VERSION}/camel-${VERSION}-cyclonedx.json"
+
+DOWNLOAD_LOCATION="${DOWNLOAD}/${VERSION}/org/apache/camel/camel/${VERSION}"
+
+mv ${DOWNLOAD_LOCATION}/camel-${VERSION}-cyclonedx.json ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.json
+mv ${DOWNLOAD_LOCATION}/camel-${VERSION}-cyclonedx.xml ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.xml
+./sign.sh ${DOWNLOAD_LOCATION}/
+
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.json https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.json -m "Import Camel SBOMs JSON release"
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.json.asc https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.json.asc -m "Import Camel SBOMs JSON release"
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.json.sha512 https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.json.sha512 -m "Import Camel SBOMs JSON release"
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.xml https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.xml -m "Import Camel SBOMs XML release"
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.xml.asc https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.xml.asc -m "Import Camel SBOMs XML release"
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.xml.sha512 https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.xml.sha512 -m "Import Camel SBOMs XML release"
+echo "SBOM uploaded in dist/release"
+
+rm -rf ${DOWNLOAD_LOCATION}/
+echo "Removed Temporary directory"
+
diff --git a/etc/scripts/sign.sh b/etc/scripts/sign.sh
new file mode 100755
index 00000000000..7aafd104772
--- /dev/null
+++ b/etc/scripts/sign.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# This is a utility script to sign and sha512 all files in the given directory.
+
+if [ "$#" -ne 1 ]; then
+    echo "usage: $0 dir"
+    exit 1
+fi
+
+dir=$1
+
+pushd . && cd $dir
+
+for f in $(ls);
+do
+    sha512sum -b $f > $f.sha512
+    gpg --output $f.asc --armor --detach-sig $f
+done
+
+popd


(camel) 02/03: Release: Modify the name of SBOMs to be uploaded on dist/release

Posted by ac...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

acosentino pushed a commit to branch CAMEL-20205-3.x
in repository https://gitbox.apache.org/repos/asf/camel.git

commit da58c065f1074c63030c8645f93f556e5a8c3d28
Author: Andrea Cosentino <an...@gmail.com>
AuthorDate: Thu Dec 7 13:23:37 2023 +0100

    Release: Modify the name of SBOMs to be uploaded on dist/release
    
    Signed-off-by: Andrea Cosentino <an...@gmail.com>
---
 etc/scripts/release-sbom.sh | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/etc/scripts/release-sbom.sh b/etc/scripts/release-sbom.sh
index dc39b044816..4438b253b1e 100755
--- a/etc/scripts/release-sbom.sh
+++ b/etc/scripts/release-sbom.sh
@@ -47,16 +47,16 @@ wget -e robots=off --wait 3 --no-check-certificate \
 
 DOWNLOAD_LOCATION="${DOWNLOAD}/${VERSION}/org/apache/camel/camel/${VERSION}"
 
-mv ${DOWNLOAD_LOCATION}/camel-${VERSION}-cyclonedx.json ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.json
-mv ${DOWNLOAD_LOCATION}/camel-${VERSION}-cyclonedx.xml ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.xml
+mv ${DOWNLOAD_LOCATION}/camel-${VERSION}-cyclonedx.json ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-sbom.json
+mv ${DOWNLOAD_LOCATION}/camel-${VERSION}-cyclonedx.xml ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-sbom.xml
 ./sign.sh ${DOWNLOAD_LOCATION}/
 
-svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.json https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.json -m "Import Camel SBOMs JSON release"
-svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.json.asc https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.json.asc -m "Import Camel SBOMs JSON release"
-svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.json.sha512 https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.json.sha512 -m "Import Camel SBOMs JSON release"
-svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.xml https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.xml -m "Import Camel SBOMs XML release"
-svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.xml.asc https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.xml.asc -m "Import Camel SBOMs XML release"
-svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-cyclonedx.xml.sha512 https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-cyclonedx.xml.sha512 -m "Import Camel SBOMs XML release"
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-sbom.json https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-sbom.json -m "Import Camel SBOMs JSON release"
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-sbom.json.asc https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-sbom.json.asc -m "Import Camel SBOMs JSON release"
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-sbom.json.sha512 https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-sbom.json.sha512 -m "Import Camel SBOMs JSON release"
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-sbom.xml https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-sbom.xml -m "Import Camel SBOMs XML release"
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-sbom.xml.asc https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-sbom.xml.asc -m "Import Camel SBOMs XML release"
+svn import ${DOWNLOAD_LOCATION}/apache-camel-${VERSION}-sbom.xml.sha512 https://dist.apache.org/repos/dist/release/camel/apache-camel/${VERSION}/apache-camel-${VERSION}-sbom.xml.sha512 -m "Import Camel SBOMs XML release"
 echo "SBOM uploaded in dist/release"
 
 rm -rf ${DOWNLOAD_LOCATION}/